Backtest V2 API
3 endpoints in this group.
GET /api/backtests/v2/ai-strategy/capabilities
Capabilities
Responses
| Code | Description |
|---|---|
200 | Successful Response |
POST /api/backtests/v2/ai-strategy/draft
Draft Strategy
DEFERRED — returns 501 until sandbox-foundation PR + cost-guard land.
Request body: application/json
Responses
| Code | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |
POST /api/backtests/v2/ai-strategy/validate
Validate Strategy
Validate user code inside the restricted subprocess sandbox.
Request body: application/json
Responses
| Code | Description |
|---|---|
200 | Successful Response |
422 | Validation Error |